Skip to main content
PATCH
Update User

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

user_email
string
required

Body

application/json

Partial update payload for a user.

user_name
string | null

Updated display name.

Required string length: 2 - 100
avatar_url
string | null

Updated profile image URL (e.g., custom avatar to override Gravatar).

role
enum<string> | null

Updated organization role.

Available options:
admin,
member,
viewer
status
enum<string> | null

Lifecycle status update (active, suspended, pending).

Available options:
active,
suspended,
pending
metadata
Metadata · object | null

Replaces metadata with the provided dictionary when set.

Response

Successful Response

The response is of type Response Update User V1 Organizations Users User Email Patch · object.